Package org.apache.sling.maven.jspc.classloader

## Class ClassLoaderFacade

- java.lang.Object
- - java.lang.ClassLoader
  - - org.apache.sling.maven.jspc.classloader.ClassLoaderFacade

All Implemented Interfaces:
  `org.apache.sling.commons.classloader.DynamicClassLoader`

    public class ClassLoaderFacade
    extends ClassLoader
    implements org.apache.sling.commons.classloader.DynamicClassLoader

The `ClassLoaderFacade` is a facade for the dynamic class loading. This class loader is returned to the clients of the dynamic class loader manager. This class loader delegates to other class loaders but caches its result for performance.

### Constructor Summary

Constructors
`ClassLoaderFacade​(DynamicClassLoaderManagerImpl manager)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`URL` `getResource​(String name)`
`Enumeration<URL>` `getResources​(String name)`
`boolean` `isLive()`
`protected Class<?>` `loadClass​(String name, boolean resolve)`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResourceAsStream, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassLoaderFacade

    public ClassLoaderFacade​(DynamicClassLoaderManagerImpl manager)

Constructor

### Method Detail

#### getResource

    public URL getResource​(String name)

Overrides:
  `getResource` in class `ClassLoader`
See Also:
  `ClassLoader.getResource(java.lang.String)`

#### getResources

    public Enumeration<URL> getResources​(String name)
                                  throws IOException

Overrides:
  `getResources` in class `ClassLoader`
Throws:
  `IOException`
See Also:
  `ClassLoader.getResources(java.lang.String)`

#### loadClass

    protected Class<?> loadClass​(String name,
                                 boolean resolve)
                          throws ClassNotFoundException

Overrides:
  `loadClass` in class `ClassLoader`
Throws:
  `ClassNotFoundException`
See Also:
  `ClassLoader.loadClass(java.lang.String, boolean)`

#### isLive

    public boolean isLive()

Specified by:
  `isLive` in interface `org.apache.sling.commons.classloader.DynamicClassLoader`
See Also:
  `DynamicClassLoader.isLive()`